Name:           salt-lint
Version:        0.8.0
Release:        2%{?dist}
Summary:        Salt State file (SLS) lint tool

License:        MIT
URL:            https://github.com/warpnet/salt-lint
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# This is a downstream only patch persuant to
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
Patch0:         00-tox-deps-sitepackages.patch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pathspec >= 0.6.0
BuildRequires:  python3-pyyaml
BuildRequires:  tox
BuildArch:      noarch

%description
salt-lint checks Salt State files (SLS) for best practices and behavior that
could potentially be improved.


%prep
%autosetup


%build
%py3_build


%install
%py3_install
install -Dpm 0644 docs/man/salt-lint.1 %{buildroot}%{_mandir}/man1/salt-lint.1


%check
tox -e py36-install


%files
%license LICENSE*
%doc README.*
%{_bindir}/%{name}
%{_mandir}/man1/salt-lint.1*
%{python3_sitelib}/saltlint/
%{python3_sitelib}/salt_lint-*.egg-info/


%changelog
* Sat Dec 04 2021 Robby Callicotte <rcallicotte@fedoraproject.org> - 0.8.0-2
- Added automatic dependency generator

* Wed Nov 10 2021 Robby Callicotte <rcallicotte@mailbox.org> - 0.8.0-1
- Version bump

* Mon Nov 01 2021 Robby Callicotte <rcallicotte@mailbox.org> - 0.7.0-1
- Version bump

* Sat Oct  9 2021 Robby Callicotte <rcallicotte@mailbox.org> - 0.6.1-1
- Initial build
